/* Base Post Summary */

:root {
	--ap--row-gap: 32px;
}

.post-summary {
  text-align: left;
/*  box-shadow: var(--wp--custom--box-shadow--1);*/
}

.post-summary .post-summary__image {
	position: relative;
	margin-bottom: var(--wp--custom--layout--block-gap);
	display: flex;
}

.post-summary .post-summary__image > a {
	height: 100%;
	flex-grow: 1;
	position: relative;
}

.post-summary .post-summary__image img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	display: block;
	border-radius: var(--wp--custom--border-radius--small);
}

.post-summary .post-summary__image .entry-category-overlay {
	width: inherit;
	position: absolute;
	bottom: 0;
	left: 0;
}

.post-summary .post-summary__image .entry-category-overlay a,
.post-summary .post-summary__image .entry-category-overlay span {
	display: block;
	background: var(--wp--preset--color--foreground);
	padding: 4px 10px;
	text-transform: uppercase;
	letter-spacing: 0.05em;
	text-decoration: none;
	font-size: 10px;
	color: var(--wp--preset--color--white);
	border-radius: 0 var(--wp--custom--border-radius--small) 0 var(--wp--custom--border-radius--small);
}

.post-summary .post-summary__title {
	font-size: var(--wp--preset--font-size--x-large);
	line-height: var(--wp--custom--line-height--small);
	margin: 0;
}

.post-summary--large .post-summary__title {
	font-size: var(--wp--preset--font-size--x-large);
}

.post-summary .post-summary__title a {
	color: var(--wp--preset--color--foreground);
	text-decoration: none;
}

.post-summary .post-summary__title a:hover {
	color: var(--wp--custom--color--link-darken);
}

.post-summary__content {
	color: var(--wp--custom--color--gray-900);
	line-height: var(--wp--custom--line-height--small);
}

.post-summary__excerpt {
	color: var(--wp--preset--color--foreground);
	line-height: var(--wp--custom--line-height--normal);
	font-size: var(--wp--preset--font-size--tiny);
}

.post-summary__author {
	color: var(--wp--custom--color--gray-600);
	font-size: var(--wp--preset--font-size--tiny);
}

.post-summary__content > * {
	margin: 0;
}

.post-summary__content > * + * {
	margin-top: 8px;
}

.post-summary .entry-category {
	font-family: var(--wp--preset--font-family--sans-serif);
	color: var(--wp--preset--color--primary);
	text-transform: var(--wp--custom--nav--text-transform);
	text-transform: uppercase;
	font-size: 12px;
	letter-spacing: 0.05em;
	margin-bottom: 7px;
}

.post-summary .entry-category a {
	font-weight: bold;
	text-decoration: none;
}

.post-summary .entry-author {
	display: flex;
	align-items: center;
	gap: 8px;
}

.post-summary .entry-author img {
	border-radius: 50%;
}

.post-summary style,
.post-summary style + svg {
	display: none !important;
}

.post-summary__content_type_date {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 10px;
  margin-bottom: 8px;
}

.post-summary__content_guest_name {
	font-family: var(--wp--preset--font-family--system-font);
	font-size: var(--wp--preset--font-size--min);
	color: var(--wp--custom--color--gray-700);
}

.post-summary__date {
	margin: 0;
	font-family: var(--wp--preset--font-family--primary);
	font-size: var(--wp--preset--font-size--tiny);
}

/*Custom Post Summaries*/
.layout-3up-grid .post-summary.post-summary-buttons {
  gap: 0;
}
.post-summary-buttons .post-summary__image {
  background: var(--wp--preset--color--background);
  margin-bottom: 0;
}
.post-summary-buttons .post-summary__content {
	padding: var(--wp--custom--layout--padding-large);
	background: var(--wp--preset--color--background);
	border-radius: 0 0 var(--wp--custom--border-radius--small) var(--wp--custom--border-radius--small);
	display: flex;
	flex-flow: column;
}
.post-summary-buttons .post-summary__content .wp-block-buttons {
	padding-top: var(--wp--custom--layout--block-gap);
	margin-top: auto;
}
.post-summary-buttons .post-summary__content .wp-block-button__link {
  padding-left: var(--wp--custom--layout--padding);
  padding-right: var(--wp--custom--layout--padding);
  font-size: var(--wp--preset--font-size--tiny);
  letter-spacing: 0.05em;
}




/* Post Listing Header/Footer */

.block-post-listing header {
 position: relative;
 z-index: 100;
}

.block-post-listing header h2 {
	margin: 0;
}

.block-post-listing footer {
	margin-top: var(--wp--custom--layout--padding-xlarge);
	margin-bottom: var(--wp--custom--layout--block-gap-large);
	text-align: right;
  display: flex;
  align-items: center;
  justify-content: center;
}

.block-post-listing__title > *:first-child {
	margin-top: 0;
}

.block-post-listing__title > *:last-child {
	margin-bottom: 16px; /* match to __more margin bottom */
}

.block-post-listing__more.wp-block-button__link {
  color: var(--wp--preset--color--background);
  position: relative;
  display: inline-block;
  background-color: var(--wp--preset--color--foreground);
  border: 2px solid transparent;
  border-radius: 100px;
  font-size: var(--wp--preset--font-size--small);
  text-transform: uppercase;
  letter-spacing: .1em;
  padding: var(--wp--custom--layout--padding) var(--wp--custom--layout--padding-large) var(--wp--custom--layout--padding);
}
.block-post-listing__more.wp-block-button__link:hover,
.block-post-listing__more.wp-block-button__link:focus {
  color: var(--wp--preset--color--foreground);
  border: 2px solid var(--wp--preset--color--foreground);
  background: var(--wp--preset--color--white) !important;
}

.block-post-listing__more:hover {
	color: #fff;
	background: var(--wp--custom--color--tertiary-darken);
}

.block-post-listing__more svg {
	fill: var(--wp--preset--color--primary);
	margin-left: 5px;
}

.wp-block-group.has-background .block-post-listing footer {
	margin-bottom: 0;
}

/* Post Listing Layouts */

.block-post-listing__inner {
	display: grid;
	row-gap: 16px;
	column-gap: 16px;
}

.layout-4up-grid .block-post-listing__inner {
	grid-template-columns: repeat( 2, minmax( 0, 1fr ) );
}

.layout-4up-grid .post-summary__title {
	font-size: var(--wp--preset--font-size--large);
}


/* Layout specific styles */

/* 3up list */
.layout-3up-grid .post-summary {
	display: flex;
	flex-flow: column nowrap;
  gap: 16px;
}
.layout-3up-grid .post-summary .post-summary__image {
	margin-bottom: 0;
}
.layout-3up-grid .post-summary__content {
	flex-grow: 1;
}
.layout-3up-grid .post-summary__title {
	font-size: var(--wp--preset--font-size--x-large);
}


/* 4up grid */
.layout-4up-grid .post-summary {
	display: flex;
	flex-flow: column nowrap;
	text-align: center;
}
.layout-4up-grid .post-summary__content {
	flex-grow: 1;
}

/* 2up grid */
.layout-2up-grid .post-summary {
	display: flex;
	flex-flow: column nowrap;
}
.layout-2up-grid .post-summary__content {
	flex-grow: 1;
}

/* 1up featured */
.layout-1up-featured .post-summary .post-summary__title {
	font-size: var(--wp--preset--font-size--big);
}

/* Text only */
.layout-text-only .block-post-listing__inner {
	grid-row-gap: 0;
}
.layout-text-only .post-summary {
	padding: var(--wp--custom--layout--block-gap) 0;
}
.layout-text-only .post-summary + .post-summary {
	border-top: 1px solid var(--wp--preset--color--foreground);
}


/*Featured Scroll Listing*/
.layout-featured-scroll-listing {
	padding-left: 0 !important;
	padding-right: 0 !important;
}
.layout-featured-scroll-listing .post-summary .post-summary__container {
	position: relative;
}
.layout-featured-scroll-listing .post-summary .post-summary__image {
}

.layout-featured-scroll-listing .post-summary .entry-category-overlay {
	left: 0;
	right: 0;
	width: 100%;
	margin-left: 0;
	display: flex;
	justify-content: center;
	border-radius: 0;
	background: none;
  top: 0;
  bottom: inherit;
  padding: 0;
}

.layout-featured-scroll-listing .post-summary .entry-category-overlay a,
.layout-featured-scroll-listing .post-summary .entry-category-overlay span {
	background: var(--wp--preset--color--foreground);
	padding: 4px 10px;
	text-transform: uppercase;
	letter-spacing: 0.05em;
	text-decoration: none;
	font-size: 10px;
	color: var(--wp--preset--color--white);
	border-radius: 0 0 var(--wp--custom--border-radius--small) var(--wp--custom--border-radius--small);
}


.layout-featured-scroll-listing .post-summary .post-summary__content {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: 10;
	padding: var(--wp--custom--layout--padding) var(--wp--custom--layout--padding) 0;
	color: #fff;
	text-align: center;
}
.layout-featured-scroll-listing .post-summary .post-summary__content .post-summary__episode-number {
	font-family: var(--wp--preset--font-family--primary);
	margin-bottom: 8px;
}
.layout-featured-scroll-listing .post-summary .post-summary__content .post-summary__title a {
	color: var(--wp--preset--color--white);
}
.layout-featured-scroll-listing .post-summary .post-summary__content .post-summary__date {
	font-family: var(--wp--preset--font-family--system-font);
}
.layout-featured-scroll-listing .post-summary .post-summary__content_type_date {
	justify-content: center;
	margin-bottom: 0;
}
.layout-featured-scroll-listing .post-summary .post-summary__content_type_date p {
	border-radius: 5px 5px 0 0;
}


/*Protected Overlay*/
.post_summary__protection-overlay {
	position: absolute;
	background: rgba(0,0,0,.5);
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 100;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-flow: column;
	color: var(--wp--preset--color--white);
	border-radius: var(--wp--custom--border-radius--small);
	opacity: 0;
	padding: var(--wp--custom--layout--block-gap);
	transition: all 0.2s ease-in;
}
.layout-featured-scroll-listing .post-summary:hover .post_summary__protection-overlay,
.layout-scroll-listing .post-summary:hover .post_summary__protection-overlay {
	opacity: 1;
}
.post_summary__protection-overlay svg {
	fill: var(--wp--preset--color--white);
}
.post_summary__protection-overlay p {
	margin: 8px 0;
  text-align: center;
  line-height: 1.2;
}






@media only screen and (max-width: 767px) {

	.block-post-listing__inner {
		row-gap: 48px;
	}

	.block-post-listing, .wp-block-group .block-post-listing {
		max-width: 95%;
	}

	/* Layout specific styles */

	/* 2up grid */
	.layout-2up-grid .post-summary__content {
		padding: var(--wp--custom--layout--padding);
	}

	/* 4up grid */
	.layout-4up-grid .block-post-listing__inner {
		grid-template-columns: repeat( 2, minmax( 0, 1fr ) );
		gap: 16px;
	}

	/* Scroll listing */
	.layout-scroll-listing .block-post-listing__inner .post-summary,
	.layout-featured-scroll-listing .block-post-listing__inner .post-summary {
    width: 75%;
    margin-right: 16px;
	}

	/* 6up grid */
	.layout-6up-grid .block-post-listing__inner {
		grid-template-columns: repeat( 2, minmax( 0, 1fr ) );
		grid-gap: 16px;
	}

  /* List Views */
	.layout-3up-list .post-summary,
	.layout-4up-list .post-summary,
	.layout-5up-list .post-summary,
	.layout-6up-list .post-summary {
		display: grid;
		grid-template-columns: 160px 1fr;
		column-gap: 16px;
	}

	.layout-3up-list .post-summary .post-summary__content,
	.layout-4up-list .post-summary .post-summary__content,
	.layout-5up-list .post-summary .post-summary__content,
	.layout-6up-list .post-summary .post-summary__content {
		padding: 0;
	}

	.layout-3up-list footer,
	.layout-4up-list footer,
	.layout-5up-list footer,
	.layout-6up-list footer {
		margin-top: 16px;
	}

}

@media only screen and (min-width: 768px) {
	.block-post-listing__inner {
		column-gap: 32px;
		grid-row-gap: 32px;
	}

	/* Layout specific styles */

	/*3up list*/
	.layout-3up-grid .block-post-listing__inner,
	.layout-3up-list .block-post-listing__inner,
	.layout-3x2-grid .block-post-listing__inner {
		grid-template-columns: repeat( 3, minmax( 0, 1fr ) );
	}

	/* 4up grid */
	.layout-4up-grid .block-post-listing__inner,
	.layout-4x2-grid .block-post-listing__inner {
		grid-template-columns: repeat( 4, minmax( 0, 1fr ) );
	}

	/* 2up grid */
	.layout-2up-grid .block-post-listing__inner {
		grid-template-columns: repeat( 2, minmax( 0, 1fr ) );
	}

	/* 1 up stacked */
	.layout-1up-stacked .post-summary {
		display: grid;
		grid-template-columns: 1fr;
		grid-template-rows: 1fr;
		grid-column-gap: 32px;
		grid-row-gap: 0px;
	}

	/* 1 up stacked - minimal */
	.layout-1up-stacked-minimal .post-summary {
		display: grid;
		grid-template-columns: 90px 1fr;
		grid-template-rows: 1fr;
		grid-column-gap: 12px;
		grid-row-gap: 0px;
		background: none;
		box-shadow: none;
	}
	.layout-1up-stacked-minimal .post-summary .post-summary__content {
		padding: 0;
	}
	.layout-1up-stacked-minimal .post-summary .post-summary__title {
		font-size: var(--wp--preset--font-size--normal);
	}

	/* 1up featured */
	.layout-1up-featured .post-summary {
		display: grid;
		grid-template-columns: 65.5% auto;
		gap: 32px;
		align-items: center;
		justify-content: center;
	}

	/* Text only */
	.layout-text-only .post-summary .post-summary__content {
		display: grid;
		grid-template-columns: 100px 1fr;
		grid-template-rows: 1fr;
		grid-column-gap: var(--wp--custom--layout--block-gap);
	}
	.layout-text-only .post-summary .post-summary__title {
		order: 2;
	}
	.layout-text-only .post-summary .post-summary__date {
		order: 1;
	}

	/* Scroll listing */
	.layout-scroll-listing .block-post-listing__inner .post-summary,
	.layout-featured-scroll-listing .block-post-listing__inner .post-summary {
    width: 25%;
    margin-right: 16px;
	}
	.layout-scroll-listing header {
		max-width: 82%;
	}
	.layout-scroll-listing.post-type-clip .block-post-listing__inner .post-summary,
	.layout-featured-scroll-listing.post-type-clip .block-post-listing__inner .post-summary {
    width: 35%;
	}
}

/*	Hide episode/guest info by default*/
.layout-scroll-listing .post-summary__content_guest_name {
	display: none;
}
.single-topic-guide .layout-scroll-listing .post-summary__content_guest_name,
.layout-scroll-listing .post-type-clip .post-summary__content_guest_name {
	display: block;
}


.wp-admin .layout-scroll-listing .block-post-listing__inner,
.wp-admin .layout-featured-scroll-listing .block-post-listing__inner {
	grid-template-columns: repeat( 4, minmax( 0, 1fr ) );
}
.wp-admin .layout-scroll-listing .block-post-listing__inner .post-summary,
.wp-admin .layout-featured-scroll-listing .block-post-listing__inner .post-summary {
  width: 100%;
  margin-right: 0;
}


/*Flickity Buttons (display based on post count)*/
.post-count-2 .flickity-button {
	display: none;
}
@media only screen and (min-width: 768px) {
	.post-count-3 .flickity-button,
	.post-count-4 .flickity-button {
		display: none;
	}
}



/*Clip Post Summaries*/
.post-type-clip .post-summary {
	opacity: 0;
  transition: opacity 1s ease-in-out;
}
.post-type-clip .post-summary.visible {
  opacity: 1;
}
.post-type-clip .post-summary__image {
  position: relative;
}
.post-type-clip .post-summary__image .wp-block-embed {
	border-radius: var(--wp--custom--border-radius--small);
	overflow: hidden;
	width: 100%;
}
.single .entry-content .block-post-listing .block-post-listing__inner .post-type-clip .post-summary__content {
	padding: 0;
}

.post-type-clip .post-summary__image img {
  position: relative;
  z-index: 10;
}
.post-type-clip .post-summary__image svg {
	fill: var(--wp--preset--color--white);
	opacity: 0.75;
	position: absolute;
	top: 50%;
	left: 50%;
	margin-top: -38px;
	margin-left: -38px;
	z-index: 10;
}

.post-type-clip .post-summary__image .post_summary__protection-overlay svg {
	opacity: 1;
	position: relative;
	top: inherit;
	left: inherit;
	margin-top: 0;
	margin-left: 0;
}
.post-type-clip .post-summary__image:hover svg {
	opacity: 0.9;
}


.editor-styles-wrapper .post-type-clip .post-summary {
	opacity: 1;
}

.editor-styles-wrapper .post-type-clip .post-summary .post-summary__image > a {
	display: none;
}
